Bug 992830 - ucblogo: FTBFS in rawhide
ucblogo: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ucblogo (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
: 1107017 (view as bug list)
Depends On:
Blocks: F20FTBFS F21FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 02:38 EDT by Dennis Gilmore
Modified: 2016-04-26 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: ucblogo-6.0-14.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 20:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix usermanual.texi makeinfo failure (1.42 KB, patch)
2013-08-10 22:38 EDT, Dave Allan
dallan: review? (gemi)
Details | Diff

  None (edit)
Description Dennis Gilmore 2013-08-05 02:38:59 EDT
Your package ucblogo failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5752191

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2191/5752191/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2191/5752191/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2191/5752191/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Dave Allan 2013-08-10 22:38:28 EDT
Created attachment 785310 [details]
fix usermanual.texi makeinfo failure
Comment 2 Dave Allan 2013-08-10 22:40:06 EDT
This build failure appears to happen on F19 as well, and IIUC it's a warning that was changed to an error.
Comment 3 Fedora End Of Life 2013-09-16 12:51:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Dave Allan 2013-09-20 14:13:01 EDT
I have stopped using ucblogo in favor of python turtle graphics[1], so I no longer have any itch to scratch with this package and I am returning it to the package maintainer.  FWIW, I believe attached patch I attached earlier is correct and fixes the bug.

[1] http://docs.python.org/2/library/turtle.html
Comment 5 Matěj Cepl 2014-06-30 18:56:29 EDT
*** Bug 1107017 has been marked as a duplicate of this bug. ***
Comment 6 Matěj Cepl 2014-07-01 01:40:24 EDT
(In reply to Dave Allan from comment #4)
> I have stopped using ucblogo in favor of python turtle graphics[1], so I no
> longer have any itch to scratch with this package and I am returning it to
> the package maintainer.  FWIW, I believe attached patch I attached earlier
> is correct and fixes the bug.
> 
> [1] http://docs.python.org/2/library/turtle.html

Yes, it does ... http://koji.fedoraproject.org/koji/taskinfo?taskID=7093351. I will build it in Fedora to fix this FTBFS.
Comment 7 Fedora Update System 2014-07-01 05:45:23 EDT
ucblogo-6.0-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ucblogo-6.0-14.fc19
Comment 8 Fedora Update System 2014-07-01 05:46:19 EDT
ucblogo-6.0-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ucblogo-6.0-14.fc20
Comment 9 Fedora Update System 2014-07-01 19:27:59 EDT
Package ucblogo-6.0-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ucblogo-6.0-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7974/ucblogo-6.0-14.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-07-09 20:23:14 EDT
ucblogo-6.0-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-07-09 20:23:46 EDT
ucblogo-6.0-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.